WordPress sites: health, forms, post drafts and keys
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/integrations/wordpress"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/integrations/wordpress';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/integrations/wordpress \ --header 'Authorization: Bearer <token>'Permission: integrations:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Responses
Section titled “Responses”OK
object
object
object
object
object
object
object
object
object
The campaign’s status (draft, scheduled, sent…)
object
The site is one of the form’s allowed domains
The form’s uuid, for links
The site uses a form that no longer exists
object
The connection’s id
object
object
A rotated key keeps working until then
object
As held: implied view permissions left out
object
object
object
object
A rotated key keeps working until then
object
As held: implied view permissions left out
object
object
object
object
object
object
object
object
object
A rule was set up (even if it’s off now)
object
object
object
Example
{ "reasons": [ { "check": { "detail": "Timed out after 10 s", "outcome": "answered" }, "code": "key_revoked" } ], "sites": [ { "forms": [ { "kind": "block", "places": [ { "title": "Join the beta" } ], "publicId": "frm_8c2e1a" } ], "items": [ { "kind": "trigger", "offReason": "turned_off" } ], "key": { "masked": "rc_live_5d1e…7b20", "ownerStatus": "active", "status": "active" }, "lastCheck": { "detail": "Timed out after 10 s", "outcome": "answered" }, "oldKey": { "masked": "rc_live_5d1e…7b20", "ownerStatus": "active", "status": "active" }, "reasons": [ { "check": { "detail": "Timed out after 10 s", "outcome": "answered" }, "code": "key_revoked" } ], "status": "waiting", "woocommerce": { "storeStatus": "connecting" } } ], "status": "not_connected"}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}